## net.dontdrinkandroot.lastfm.api.model.xspf
Class XspfPlaylist

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.model.xspf.XspfPlaylist

All Implemented Interfaces:
  java.io.Serializable

    public class XspfPlaylist

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`XspfPlaylist(org.w3c.dom.Element root)`

Method Summary
`java.lang.String` `getAnnotation()`
`java.util.List<XspfAttribution>` `getAttributions()`
`java.lang.String` `getCreator()`
`java.util.Date` `getDate()`
`java.util.List<XspfExtension>` `getExtensions()`
`java.net.URI` `getIdentifier()`
`java.net.URI` `getImage()`
`java.net.URI` `getInfo()`
`java.net.URI` `getLicense()`
`java.util.List<XspfLink>` `getLinks()`
`java.net.URI` `getLocation()`
`java.util.List<XspfMeta>` `getMetas()`
`java.lang.String` `getTitle()`
`java.util.List<XspfTrack>` `getTracks()`
`java.lang.Integer` `getVersion()`
`void` `setAnnotation(java.lang.String annotation)`
`void` `setAttributions(java.util.List<XspfAttribution> attributions)`
`void` `setCreator(java.lang.String creator)`
`void` `setDate(java.util.Date date)`
`void` `setExtensions(java.util.List<XspfExtension> extensions)`
`void` `setIdentifier(java.net.URI identifier)`
`void` `setImage(java.net.URI image)`
`void` `setInfo(java.net.URI info)`
`void` `setLicense(java.net.URI license)`
`void` `setLinks(java.util.List<XspfLink> links)`
`void` `setLocation(java.net.URI location)`
`void` `setMetas(java.util.List<XspfMeta> metas)`
`void` `setTitle(java.lang.String title)`
`void` `setTracks(java.util.List<XspfTrack> tracks)`
`void` `setVersion(java.lang.Integer version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XspfPlaylist

    public XspfPlaylist(org.w3c.dom.Element root)

Method Detail

### getVersion

    public java.lang.Integer getVersion()

### setVersion

    public void setVersion(java.lang.Integer version)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getCreator

    public java.lang.String getCreator()

### setCreator

    public void setCreator(java.lang.String creator)

### getAnnotation

    public java.lang.String getAnnotation()

### setAnnotation

    public void setAnnotation(java.lang.String annotation)

### getInfo

    public java.net.URI getInfo()

### setInfo

    public void setInfo(java.net.URI info)

### getLocation

    public java.net.URI getLocation()

### setLocation

    public void setLocation(java.net.URI location)

### getIdentifier

    public java.net.URI getIdentifier()

### setIdentifier

    public void setIdentifier(java.net.URI identifier)

### getImage

    public java.net.URI getImage()

### setImage

    public void setImage(java.net.URI image)

### getDate

    public java.util.Date getDate()

### setDate

    public void setDate(java.util.Date date)

### getLicense

    public java.net.URI getLicense()

### setLicense

    public void setLicense(java.net.URI license)

### getAttributions

    public java.util.List<XspfAttribution> getAttributions()

### setAttributions

    public void setAttributions(java.util.List<XspfAttribution> attributions)

### getLinks

    public java.util.List<XspfLink> getLinks()

### setLinks

    public void setLinks(java.util.List<XspfLink> links)

### getMetas

    public java.util.List<XspfMeta> getMetas()

### setMetas

    public void setMetas(java.util.List<XspfMeta> metas)

### getExtensions

    public java.util.List<XspfExtension> getExtensions()

### setExtensions

    public void setExtensions(java.util.List<XspfExtension> extensions)

### getTracks

    public java.util.List<XspfTrack> getTracks()

### setTracks

    public void setTracks(java.util.List<XspfTrack> tracks)

Copyright © 2013 dontdrinkandroot. All Rights Reserved.